---------------------
PatchSet 445 
Date: 2002/12/20 21:55:54
Author: rbcollins
Branch: esi
Tag: (none) 
Log:
provide an ESI extension to StoreEntry

Members: 
	src/Store.h:1.3->1.3.2.1 
	src/store.cc:1.2->1.2.2.1 

Index: squid3/src/Store.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Store.h,v
retrieving revision 1.3
retrieving revision 1.3.2.1
diff -u -r1.3 -r1.3.2.1
--- squid3/src/Store.h	15 Oct 2002 09:27:20 -0000	1.3
+++ squid3/src/Store.h	20 Dec 2002 21:55:54 -0000	1.3.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: Store.h,v 1.3 2002/10/15 09:27:20 squidadm Exp $
+ * $Id: Store.h,v 1.3.2.1 2002/12/20 21:55:54 rbcollins Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -34,13 +34,16 @@
 #ifndef SQUID_STORE_H
 #define SQUID_STORE_H
 
-#ifdef __cplusplus
 class StoreClient;
+
+#if ESI
+#include "ESIElement.h"
 #endif
 
 struct _StoreEntry : public hash_link {
 public:
     virtual const char *getMD5Text() const;
+    virtual ~_StoreEntry(){}
   
     MemObject *mem_obj;
     RemovalPolicyNode repl;
@@ -60,7 +63,6 @@
     ping_status_t ping_status:3;
     store_status_t store_status:3;
     swap_status_t swap_status:3;
-#ifdef __cplusplus
 public:
     static size_t inUseCount();
     static void getPublicByRequestMethod(StoreClient * aClient, request_t * request, const method_t method);
@@ -71,12 +73,13 @@
     }
     void *operator new(size_t byteCount);
     void operator delete(void *address);
+#if ESI
+    ESIElement::Pointer cachedESITree;
+#endif
 private:
     static MemPool *pool;
-#endif
 };
 
-#ifdef __cplusplus
 class NullStoreEntry:public _StoreEntry
 {
 public:
@@ -90,8 +93,6 @@
     static NullStoreEntry _instance;
 };
 
-#endif
-
 SQUIDCEXTERN size_t storeEntryInUse();
 SQUIDCEXTERN const char *storeEntryFlags(const StoreEntry *);
 SQUIDCEXTERN int storeEntryLocked(const StoreEntry *);
Index: squid3/src/store.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/store.cc,v
retrieving revision 1.2
retrieving revision 1.2.2.1
diff -u -r1.2 -r1.2.2.1
--- squid3/src/store.cc	15 Oct 2002 09:27:20 -0000	1.2
+++ squid3/src/store.cc	20 Dec 2002 21:55:54 -0000	1.2.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store.cc,v 1.2 2002/10/15 09:27:20 squidadm Exp $
+ * $Id: store.cc,v 1.2.2.1 2002/12/20 21:55:54 rbcollins Exp $
  *
  * DEBUG: section 20    Storage Manager
  * AUTHOR: Harvest Derived
@@ -1504,3 +1504,9 @@
 {
     return "N/A";
 }
+
+void
+NullStoreEntry::operator delete(void*)
+{
+    fatal ("Attempt to delete NullStoreEntry\n");
+}
